<app-header-tipo-a></app-header-tipo-a>

<form [formGroup]="meriendaForm" (ngSubmit)="onSubmit()">

    <div>
        <div>
            <label for="titulo">Titulo:</label>
            <input type="text" id="titulo" formControlName="titulo">
            <div *ngIf="meriendaForm.get('titulo')?.dirty && meriendaForm.get('titulo')?.invalid">
              <span class="error-message">Titulo es requerido</span>
            </div>
          </div>
        
          <div>
            <label for="detalle">Detalle:</label>
            <input type="text" id="detalle" formControlName="detalle">
            <div *ngIf="meriendaForm.get('detalle')?.dirty && meriendaForm.get('detalle')?.invalid">
              <span class="error-message">Detalle es requerido</span>
            </div>
          </div>
        
          <div>
            <label for="cantidad">Cantidad:</label>
            <input type="number" id="cantidad" formControlName="cantidad">
            <div *ngIf="meriendaForm.get('cantidad')?.dirty && meriendaForm.get('cantidad')?.invalid">
              <span class="error-message">Cantidad es requerida y debe ser al menos 1</span>
            </div>
          </div>
        
          <div>
            <label for="precioUnitarioBS">Precio Unitario:</label>
            <input type="number" id="precioUnitarioBS" formControlName="precioUnitarioBS">
            <div *ngIf="meriendaForm.get('precioUnitarioBS')?.dirty && meriendaForm.get('precioUnitarioBS')?.invalid">
              <span class="error-message">Precio Unitario es requerido y debe ser al menos 1</span>
            </div>
          </div>
        
          <div>
            <label for="totalBS">Total:</label>
            <input type="number" id="totalBS" formControlName="totalBS">
            <div *ngIf="meriendaForm.get('totalBS')?.dirty && meriendaForm.get('totalBS')?.invalid">
              <span class="error-message">Total es requerido y debe ser al menos 1</span>
            </div>
          </div>
    </div>
    
    <div *ngIf="errorMessage" class="error-message">{{errorMessage}}</div>
    
    <app-boton-tipo-a (btnClicked)="onSubmit()"></app-boton-tipo-a>

</form>
